// SvgElement.js
import BaseElement from './BaseElement.js';

class SvgElement extends BaseElement {
  constructor(x, y, width, height, content, engineId) {
    super('div', engineId);
    this.element.innerHTML = content;
    this.setPosition(x, y);
    this.setSize(width, height);
    this.element.setAttribute('data-svg-id', engineId);

    // SVG特有方法
    this.setContent = content => (this.element.innerHTML = content);
  }
}

export default SvgElement;
export { SvgElement };